Source: lomiri-terminal-app
Priority: extra
Maintainer: UBports Developers <devs@ubports.com>
Build-Depends: cmake,
               debhelper-compat (= 12),
               dh-migrations,
               pkg-config,
               dh-python,
               python3-all,
               gettext,
               libpam0g-dev,
               qtbase5-dev,
               qtdeclarative5-dev,
               qt5-default,
               xvfb,
               qml-module-qtquick2,
               qml-module-qttest,
               qml-module-lomiri-components,
               qml-module-termwidget,
               qml-module-gsettings1.0,
Standards-Version: 3.9.8
Section: misc
Homepage: https://gitlab.com/ubports/development/apps/lomiri-terminal-app
Vcs-Git: https://gitlab.com/ubports/development/apps/lomiri-terminal-app.git
Vcs-Browser: https://gitlab.com/ubports/development/apps/lomiri-terminal-app

Package: lomiri-terminal-app
Section: misc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         python3-any,
         qml-module-lomiri-components-extras,
         qml-module-qtquick2,
         qml-module-lomiri-components,
         qml-module-termwidget,
         qml-module-qt-labs-settings,
         qml-module-qtsysteminfo (>= 5.0~),
         qml-module-gsettings1.0
Description: Terminal application
 A terminal app for desktop and mobile devices. It provides access to terminal
 sessions and is based on QMLTermWidget.

Package: lomiri-terminal-app-autopilot
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         libautopilot-qt,
         libqt5test5,
         python3-autopilot,
         lomiri-terminal-app (>= ${source:Version}),
         lomiri-ui-toolkit-autopilot
Description: Autopilot tests for Terminal Application
 This package contains the autopilot tests for the Terminal
